Bug 1678632 - Review Request: apt - Main commandline package manager for Debian and its derivatives
Summary: Review Request: apt - Main commandline package manager for Debian and its der...
Keywords:
Status: CLOSED DUPLICATE of bug 1764813
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-19 09:20 UTC by Dridi Boukelmoune
Modified: 2019-10-28 13:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-23 19:28:02 UTC
ngompa13: fedora-review?


Attachments (Terms of Use)

Description Dridi Boukelmoune 2019-02-19 09:20:35 UTC
Spec URL: https://dridi.fedorapeople.org/review/apt.spec
SRPM URL: https://dridi.fedorapeople.org/review/apt-1.7.2-1.fc29.src.rpm
Description:
apt is the main commandline package manager for Debian and its derivatives.
It provides commandline tools for searching and managing as well as querying
information about packages as well as low-level access to all features
provided by the libapt-pkg and libapt-inst libraries which higher-level
package managers can depend upon.

Included tools are:

- apt-get for retrieval of packages and information about them from
  authenticated sources and for installation, upgrade and removal of packages
  together with their dependencies
- apt-cache for querying available information about installed as well as
  installable packages
- apt-cdrom to use removable media as a source for packages
- apt-config as an interface to the configuration settings
- apt-key as an interface to manage authentication keys
- apt-extracttemplates to be used by debconf to prompt for configuration
  questions before installation.
- apt-ftparchive creates Packages and other index files needed to publish an
  archive of debian packages
- apt-sortpkgs is a Packages/Sources file normalizer.

The libraries libapt-pkg and libapt-inst are also maintained as part of this
project, alongside various additional binaries like the acquire-methods used
by them. Bindings for Python (python-apt) and Perl (libapt-pkg-perl) are
available as separated projects.

Fedora Account System Username: dridi

I have been using it locally for a month or so to build debs locally, it's needed by sbuild and pdebuild if you try to create respectively an schroot or a base archive. Without apt, you can still use sbuild and pdebuild once you have a build environment because it uses the apt installation inside that environment.

pdebuild is already available in Fedora, I submitted a review request for sbuild in bug 1678626.

There is already a source package called apt in Fedora, but its upstream is apt-rpm. A rename is in order before proceeding with this review.

Scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=32902240

I'm using it on f29.

Comment 1 Neal Gompa 2019-02-19 11:50:42 UTC
Taking this review.

Comment 2 Neal Gompa 2019-10-23 19:28:02 UTC
Replaced by bug 1764813.

*** This bug has been marked as a duplicate of bug 1764813 ***

Comment 3 Neal Gompa 2019-10-28 13:55:16 UTC
*** Bug 1763931 has been marked as a duplicate of this bug. ***

Comment 4 Neal Gompa 2019-10-28 13:56:03 UTC
gah, wrong thing


Note You need to log in before you can comment on or make changes to this bug.